CancelRejectReason (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.api

## Enum CancelRejectReason

- java.lang.Object
- - java.lang.Enum<CancelRejectReason>
  - - com.marketfactory.api.CancelRejectReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CancelRejectReason>

      public enum CancelRejectReason
      extends java.lang.Enum<CancelRejectReason>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `DUPLICATE_CLORDID_RECEIVED`
    `EXCEEDS_DSL_LIMIT` Order would exceed allowed Daily Settlement Limit.
    `EXCEEDS_NOP_LIMIT` Order would exceed allowed Net Open Position.
    `EXCEEDS_PENDING_LIMIT` Order would exceed allowed outstanding position.
    `EXCEEDS_POSITION_LIMIT` Order would exceed allowed position.
    `EXCEEDS_SINGLE_LIMIT` Order would exceed allowed max amount for a single order.
    `FEED_DOWN` Your request could not be sent because connection to the feed is down.
    `INVALID_CANCEL`
    `INVALID_FEED`
    `INVALID_MARKET`
    `LOCKED_USER` Rejected because the user has been locked.
    `NOT_APPLICABLE`
    `NOT_IMPLEMENTED`
    `ORDER_NOT_ACTIVE`
    `OTHER`
    `RESEND_REQUESTED` The exchange requested resend for this order cancel.
    `TOO_LATE_TO_CANCEL`
    `TOO_MANY_ORDER_SUBMITS` Order submission threshold has been exceeded.
    `TRADE_LIMIT_RESTRICTION` Generic rejection based on trade limit rules.
    `UNKNOWN_ORDER`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static CancelRejectReason` | `get(byte value)`
    `static java.util.Collection<CancelRejectReason>` | `validValues()`
    `static CancelRejectReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CancelRejectReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOO_LATE_TO_CANCEL

          public static final CancelRejectReason TOO_LATE_TO_CANCEL

    - #### UNKNOWN_ORDER

          public static final CancelRejectReason UNKNOWN_ORDER

    - #### DUPLICATE_CLORDID_RECEIVED

          public static final CancelRejectReason DUPLICATE_CLORDID_RECEIVED

    - #### INVALID_CANCEL

          public static final CancelRejectReason INVALID_CANCEL

    - #### OTHER

          public static final CancelRejectReason OTHER

    - #### ORDER_NOT_ACTIVE

          public static final CancelRejectReason ORDER_NOT_ACTIVE

    - #### INVALID_FEED

          public static final CancelRejectReason INVALID_FEED

    - #### INVALID_MARKET

          public static final CancelRejectReason INVALID_MARKET

    - #### NOT_IMPLEMENTED

          public static final CancelRejectReason NOT_IMPLEMENTED

    - #### FEED_DOWN

          public static final CancelRejectReason FEED_DOWN

      Your request could not be sent because connection to the feed is down.

    - #### TOO_MANY_ORDER_SUBMITS

          public static final CancelRejectReason TOO_MANY_ORDER_SUBMITS

      Order submission threshold has been exceeded.

    - #### RESEND_REQUESTED

          public static final CancelRejectReason RESEND_REQUESTED

      The exchange requested resend for this order cancel.

    - #### LOCKED_USER

          public static final CancelRejectReason LOCKED_USER

      Rejected because the user has been locked.

    - #### EXCEEDS_NOP_LIMIT

          public static final CancelRejectReason EXCEEDS_NOP_LIMIT

      Order would exceed allowed Net Open Position.

    - #### EXCEEDS_DSL_LIMIT

          public static final CancelRejectReason EXCEEDS_DSL_LIMIT

      Order would exceed allowed Daily Settlement Limit.

    - #### EXCEEDS_POSITION_LIMIT

          public static final CancelRejectReason EXCEEDS_POSITION_LIMIT

      Order would exceed allowed position.

    - #### EXCEEDS_PENDING_LIMIT

          public static final CancelRejectReason EXCEEDS_PENDING_LIMIT

      Order would exceed allowed outstanding position.

    - #### EXCEEDS_SINGLE_LIMIT

          public static final CancelRejectReason EXCEEDS_SINGLE_LIMIT

      Order would exceed allowed max amount for a single order.

    - #### TRADE_LIMIT_RESTRICTION

          public static final CancelRejectReason TRADE_LIMIT_RESTRICTION

      Generic rejection based on trade limit rules.

    - #### NOT_APPLICABLE

          public static final CancelRejectReason NOT_APPLICABLE

    - #### _INVALID

          public static final CancelRejectReason _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static CancelRejectReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CancelRejectReason c : CancelRejectReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CancelRejectReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static CancelRejectReason get(byte value)

    - #### validValues

          public static java.util.Collection<CancelRejectReason> validValues()